#include "xtexturedesc.h"

XTextureDesc::XTextureDesc()
    : XAsset()
    , mResourceType()
    , mWidth(0)
    , mHeight(0)
    , mDepth(0)
    , mFormat()
    , mRowPitch(0)
    , mSlicePitch(0)
    , mBitsPerPixel(0)
    , mWidthInBlocks(0)
    , mHeightInBlocks(0)
    , mDepthInBlocks(0)
    , mBytesPerBlock(0)
    , mExpBias(0)
    , mFlags(0)
    , mMultiSampleType()
{
    
}

XTextureDesc::~XTextureDesc()
{
    
}

void XTextureDesc::Clear()
{
    
}

void XTextureDesc::ParseData(QDataStream *aStream)
{
    
}
